Supporting Resources

Email Subscription for Notifications

This AML service provides the user with the ability to set up and modify a list for email notifications.

Such notifications are send every day regarding the changes in the status of the monitored entities.

NameEndpointDescription
Get Worklist SubsvriptionsGET /monitor/monitoring/subscriptions/getAllView emails in the worklist.
Add Email to WorklistPOST /monitor/monitoring/subscriptions/addEmail?email={email_address}Add an email address to receive notifications.
Remove Email from WorklistPOST /monitor/monitoring/subscriptions/removeEmail?email={email_address}Remove an email address from the worklist subcription.

Get Worklist Subscriptions

Allows the user to view the emails added to the subscription worklist.


GET /monitor/monitoring/subscriptions/getAll - See Documentation for this call


Example Call:

/monitor/monitoring/subscriptions/getAll

Example Response

{
    "success": true,
    "data": {
        "emails": [
            "[email protected]"
        ]
    }
}



Add Email to Worklist

Allows the user to add an email to the worklist.


POST /monitor/monitoring/subscriptions/addEmail?email={email_address} - See Documentation for this call


Request Parameters

ParameterType
emailString

Example Call:

/monitor/monitoring/subscriptions/[email protected]

Example Request Parameters: (Query or Path parameters, if any)


Example Response

{
    "success": true,
    "message": "Email successfully added to the Worklist subscriptions"
}


Remove Email from Worklist

Allows the user to remove an email from the worklist.


POST /monitor/monitoring/subscriptions/removeEmail?email={email_address} - See Documentation for this call


Request Parameters

ParameterType
emailString

Example Call:

/monitor/monitoring/subscriptions/[email protected]

Example Request Parameters:


Example Response

{
    "success": true,
    "message": "Email successfully deleted from the Worklist subscriptions"
}